Imports System.Collections.ObjectModel
Imports ThinkGeo.Core

Public Class CustomShapefile
  Inherits ShapeFileFeatureLayer
  Public Property SelectionLayer As InMemoryFeatureLayer
  Public Sub New(sShapePathFilename As String)
    MyBase.New(sShapePathFilename)
  End Sub
  'Protected Overrides Sub DrawCore(canvas As GeoCanvas, labelsInAllLayers As Collection(Of SimpleCandidate))
  '  MyBase.DrawCore(canvas, labelsInAllLayers)
  '  SelectionLayer.Open()
  '  SelectionLayer.Draw(canvas, labelsInAllLayers)

  'End Sub
End Class
